<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('bacheca', function (Blueprint $table) {
            $table->id();
            $table->string('nome');
            $table->string('descrizione')->nullable();
            $table->string('icona')->nullable();
            $table->string('colore')->nullable();
            $table->string('tipo')->nullable();
            $table->string('info')->nullable();
            // $table->foreignId('attivita_id')->constrained('attivita');
            $table->boolean('is_attiva')->default(true);
            $table->timestamps();
        });

    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('bacheca');
    }
};
